Bug 522161 - undocumented kmodtool behavior change in 5.3
Summary: undocumented kmodtool behavior change in 5.3
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Documentation
Version: 5.3
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Don Domingo
QA Contact: Content Services Development
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 15:54 UTC by Casey Dahlin
Modified: 2018-10-20 03:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 22:34:14 UTC


Attachments (Terms of Use)

Description Casey Dahlin 2009-09-09 15:54:43 UTC
kmodtool now requires that modules be placed in /lib/modules/`uname -r`/extra/<module name> where previously (in 5.2) any folder under /lib/modules/`uname -r`/extra/ was valid.

The customer would like to see this reflected in the documentation.

Comment 1 Don Domingo 2009-09-09 23:52:44 UTC
Hi Casey,

which documentation is the customer referring to? kindly add a link to the specific book and section where this should be updated.

this will give me an idea as to who should pick up this bug for processing. thanks!

Comment 2 Martin Wilck 2009-09-10 08:30:33 UTC
I was referring to kerneldrivers.org.

However, studying it again, you can say that this is documented by the sample spec file at http://kerneldrivers.org/RedHatKernelModulePackages, which contains the line

export INSTALL_MOD_DIR=extra/%{kmod_name}

It is not made clear that this is a mandatory convention, though. Building a kmod which uses a different INSTALL_MOD_PATH succeeds, just when the kmod is installed on the customer system subtle errors like missing weak modules are caused.

Our idea was to call the directory extra/%{vendor_name}-%{kmod_name}; that a) makes it clearer where the module comes from and b) allows the coexistence of different vendor modules. I admit that the practical use of b) is very limited.

Anyway, I don't think it makes any sense to proceed this discussion. We have aworkaround for this (modified kmodtool) and that's fine.

This bug can be closed.

Comment 3 Don Domingo 2009-09-10 22:34:14 UTC
thanks Martin. closing this bug now.


Note You need to log in before you can comment on or make changes to this bug.